summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorMarcello Stanisci <marcello.stanisci@inria.fr>2017-05-17 14:42:32 +0200
committerMarcello Stanisci <marcello.stanisci@inria.fr>2017-05-17 14:42:32 +0200
commit963ab2ed318b6c17e59da18177ae6339c90cd197 (patch)
tree6606b9a47ad19ee50ed3cfa6afc6b5d44fa38000 /bin
parente362b367882145545af6e234183bea187064bec8 (diff)
downloaddeployment-963ab2ed318b6c17e59da18177ae6339c90cd197.tar.gz
deployment-963ab2ed318b6c17e59da18177ae6339c90cd197.tar.bz2
deployment-963ab2ed318b6c17e59da18177ae6339c90cd197.zip
deploying auditor-related data
Diffstat (limited to 'bin')
-rwxr-xr-xbin/taler-deployment-keyup10
1 files changed, 8 insertions, 2 deletions
diff --git a/bin/taler-deployment-keyup b/bin/taler-deployment-keyup
index 6e49708..d0698d6 100755
--- a/bin/taler-deployment-keyup
+++ b/bin/taler-deployment-keyup
@@ -2,6 +2,7 @@
set -eu
+auditor_request = ${HOME}/shared-data/exchange/auditor-request/auditor_request
if [[ ${TALER_CONFIG_STANDALONE:-0} = 1 ]]; then
# no auditor on env deployments for now
taler-exchange-keyup \
@@ -9,7 +10,12 @@ if [[ ${TALER_CONFIG_STANDALONE:-0} = 1 ]]; then
else
taler-exchange-keyup \
-m ~/shared-data/exchange/offline-keys/master.priv \
- -o ~/shared-data/exchange/auditor-request/auditor_request
+ -o $auditor_request
fi
-chmod -fR g+rw ~/shared-data
+auditor_base_dir = $(taler-config -s exchangedb -o auditor_base_dir)
+taler-auditor-sign -u https://auditor.taler.net/ -m $(taler-config -s exchange -o master_public_key) -r $auditor_request -o "$auditor_base_dir/auditor_sig"
+if [[ 0 != $? ]]; then
+ echo Auditor signing not accomplished.
+
+chmod -fR g+rw ~/shared-data